Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.property
Class RootProperty

    java.lang.Object
      org.apache.poi.poifs.property.Property
          org.apache.poi.poifs.property.DirectoryProperty
              org.apache.poi.poifs.property.RootProperty

All Implemented Interfaces:
  POIFSViewable, Child, Parent

    public final class RootProperty

extends DirectoryProperty

Root property

Author:
  Marc Johnson (mjohnson at apache dot org)

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.poifs.property.DirectoryProperty
`DirectoryProperty.PropertyComparator`

Method Summary
`java.lang.String` | `getName()` Returns the fixed name "Root Entry", as the raw property doesn't have a real name set
`void` | `setSize(int size)` set size

Methods inherited from class org.apache.poi.poifs.property.DirectoryProperty
`addChild, changeName, deleteChild, getChildren, isDirectory`

Methods inherited from class org.apache.poi.poifs.property.Property
`getNextChild, getPreviousChild, getShortDescription, getSize, getStartBlock, getStorageClsid, getViewableArray, getViewableIterator, isSmall, preferArray, setNextChild, setPreviousChild, setStartBlock, setStorageClsid, shouldUseSmallBlocks, writeData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.poifs.property.Parent
`setNextChild, setPreviousChild`

Methods inherited from interface org.apache.poi.poifs.property.Child
`getNextChild, getPreviousChild`

Method Detail

### setSize

    public void setSize(int size)

  set size

  Parameters:
    `size` - size in terms of small blocks

### getName

    public java.lang.String getName()

  Returns the fixed name "Root Entry", as the raw property doesn't have a real name set

  Overrides:
    `getName` in class `Property`
  Returns:
    property name as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD